package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bod;
import com.brilliance.isc.vo.collection.BodWithPtsCbbResponseVo;
import com.brilliance.isc.vo.collection.BotselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BodMapper {

    int insert(Bod record);

    int insertSelective(Bod record);

    int updateByPrimaryKeySelective(Bod record);

    int updateByPrimaryKey(Bod record);

    int deleteByPrimaryKey(Bod record);

    int deleteByIds(Collection<Object> collection);

    Bod selectByPrimaryKey(Bod record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bod> dyncRead(Map<String, Object> dyncMap);

    Bod selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Bod selectByWhere(Bod record);

    String selectInrByownref(String inr);

    Bod selectByOwnref(String ownref);

    List<BodWithPtsCbbResponseVo> queryBod(BotselQueryVo botselQueryVo);
    List<BodWithPtsCbbResponseVo> queryBodInfo(BotselQueryVo botselQueryVo);
}